Click here to Skip to main content
15,509,322 members
Please Sign up or sign in to vote.
5.00/5 (1 vote)
See more:
Hi All,

Latest Log4cplus is able to support the vs 2010.

Incease supported, How to build the log4cplus in vs 2010.

Any changes required to support this dll in the vc++ 6 application. What are the changes required ?

Can any one provide the root map for developing a latest log4cplus,


Thanks,
Manojkumar.u
Posted

1 solution

Log4cplus maintainer here.

You cannot mix log4cplus built using VS 2010 with application built using VC6. It will never work. No recent version of log4cplus does support VC6. The last version of log4cplus that IIRC did support VC6 was 1.0.2, but that's a very old one.

I suggest that you move your application from VC6 to VS 2010 instead, or at least to VS 2005.
 
Share this answer
 
Comments
lucky_1221 19-Oct-12 1:55am    
what you say correct. How to use the latest log4cplus released on oct 2nd. Which support the vs 2010 support.

My question is how to build the log4cplus application on vs2010. How to use?
lucky_1221 19-Oct-12 1:56am    
Any way thanks for your reply.


If you have the answer please tell me.

Thanks,
Manojkumar.U
lucky_1221 19-Oct-12 2:27am    
My application is use the multi-byte character set

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)



CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900